commit abcafeede76c388b6a308f08b430f15badd51ce2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 15 14:32:44 2024 +1000

    xf86-input-evdev 2.11.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d893fc74d2521da3c5ef8cbe57a3e7c2e6c7c684
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 9 14:33:05 2024 +1000

    Map some specific high keycodes into the FK20-23 range
    
    These mappings have been part of xkeyboard-config for over a decade and
    the likely reason they were introduced is that the corresponding evdev
    keycode is > 255.
    
    Let's forcibly remap those in the driver here so the rest of the system
    can switch to the real keycodes instead of having to map them to the
    whatever X expects.
    
    See https://github.com/systemd/systemd/pull/34325/
    
    Part-of: <https://gitlab.freedesktop.org/xorg/driver/xf86-input-evdev/-/merge_requests/10>

commit b9327e6b286295e6ef304ef14dcf1f408a4fadb2
Author: Martin Rys <martin@rys.pw>
Date:   Tue Sep 3 14:35:26 2024 +0200

    Swap Compose and Kana values to conform to USB HID spec
    
    Should fix https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/-/issues/204
    
    Current state conflicts with XKB which defines them correctly.
    
    NUM and CAPS are still incorrectly swapped, but it's equally wrong on
    XKB's side and everywhere else, so it's just cosmetic and a breaking
    change just to satisfy USB HID ordering is not worth it, since the keys
    work fine this way anyway.
    
    Part-of: <https://gitlab.freedesktop.org/xorg/driver/xf86-input-evdev/-/merge_requests/8>

commit 917c2ea204ab03250cd6e022a7de1e51652ac420
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Sep 3 13:49:04 2024 +1000

    gitlab CI: set the standard workflow rules for an fdo project

commit b48c2b70283912f2ea664a82d40065aeed5d0900
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Tue Jun 4 12:39:38 2024 +0200

    dont spam xserver with false-positives
    
    It's not necessary to spam the xserver log with error messages of
    just temporary read failures that aren't actually errors.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>
    Part-of: <https://gitlab.freedesktop.org/xorg/driver/xf86-input-evdev/-/merge_requests/6>

commit aac329fd2a93651e79c2618f45e85dfbd99cd025
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Mon Jun 10 18:45:18 2024 +0200

    fix FTBS on non-udev target platforms (eg. FreeBSD)
    
    On platforms that don't have libudev at all (eg. FreeBSD), the build
    breaks. The only consumer, EvdevDeviceIsVirtual(), can live well with
    just bailing out directly if libudev isn't present.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>
    Part-of: <https://gitlab.freedesktop.org/xorg/driver/xf86-input-evdev/-/merge_requests/6>

commit fbfb16edfe886f9ff2e6962c306645442f31d867
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Mon Jun 10 18:41:19 2024 +0200

    tolerate including linux/input.h
    
    On some platforms (eg. FreeBSD) we're running into a name clash between
    xf86str.h and linux/input.h. Since we don't actually need those symbols
    here, an easy workaround is #undef'ing them.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>
    Part-of: <https://gitlab.freedesktop.org/xorg/driver/xf86-input-evdev/-/merge_requests/6>

commit 409e8205e8a49423056d5a1b09c128e882a6102a
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Mon Jun 10 18:38:12 2024 +0200

    fix unportable linux-only include
    
    including <linux/types.h> obviously isn't portable - instead using
    <sys/types.h> is the right choice for us.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>
    Part-of: <https://gitlab.freedesktop.org/xorg/driver/xf86-input-evdev/-/merge_requests/6>

commit 7fc0d51f701e933e2a63c631c7de3ebf9dee2559
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Mon Jun 10 17:46:03 2024 +0200

    drop quirk for ancient linux kernel version (<2.6.30)
    
    This kernel had been released 1.5 decades ago - probably no need to have
    special quirks for such an ancient kernel version anymore.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 7c48b6225bc6cd627b006f25cd194220ae2cfcc9
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Tue May 14 10:59:22 2024 +0200

    bump minimal xorg version to 1.18
    
    1.18 was released a decade ago, so it seems reasonable stop supporting
    older ones.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>
    Part-of: <https://gitlab.freedesktop.org/xorg/driver/xf86-input-evdev/-/merge_requests/5>

commit 8edcb2b9e806001cca9c13c6e2f4384dc9f93f6f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 1 11:17:31 2023 -0700

    gitlab CI: ensure libtool is installed in build container
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 84b274081491582262fbced8de9ad8a6cf9f244b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 469a30f158edceda99fe8a086abbeefffa010e02
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 16 11:11:01 2022 -0800

    Convert src/draglock.c from ISO-8859-1 to UTF-8
    
    Fixes flawfinder error in CI:
    Error: encoding error in ./src/draglock.c
    'utf-8' codec can't decode byte 0xa9 in position 343: invalid start byte
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 23909c35a4bf4fc20d62d333e71e034249b4a707
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 16 10:55:36 2022 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit abf0fa611efcf0fdbf8be224d4cc39a48b36e92e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 16 10:51:03 2022 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6609d352f3ac6f820c997934c6e21c50c5dc0e89
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 16 10:49:21 2022 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 71036116be11b8c9d39ce153738875c44183cc60
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 25 12:45:55 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b6b36166bdb4d09f74e51acde83bf74f3a1fa495
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 18 11:30:58 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 67a97afbc011799e0089f88f562586a33a312684
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 29 10:05:22 2018 +1000

    evdev 2.10.6
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2fb95783e04eaf74fa8d051abd94341622a7e01e
Author: Andrey Zabolotnyi <zapparello@ya.ru>
Date:   Fri Jan 12 02:26:12 2018 +0300

    Fix generation of proximity-in/out events.
    
    Invoking xf86PostProximityEvent with no valuators does nothing, so we
    have to provide a valid valuator set to the call.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=104562
    
    [whot: slight change from 104562
    abs_vals is reset on every frame but old_vals is kept around to remember the
    last value of the valuator (and is updated to the current values before
    processing the frame). We expect the prox in to have x/y, so let's just
    unconditionally use old_vals for proximity events.]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 456f23cbbd95eacc682284ffdede54f9a16d0c7d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 28 16:00:02 2018 +1000

    Ignore x/y axis changes on proximity out
    
    Wacom tablets send a farewell reset to 0 on all axes when the tool goes out of
    proximity. Ignore those so we can rely on our various valuator masks always
    having the correct coordinates.
    
    Possible false positive if you manage to go out of proximity right above the
    zero datum but meh.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ab1d9adfd34b351190bb10805c4e6b5a5aecd5de
Author: Christian Gmeiner <christian.gmeiner@gmail.com>
Date:   Wed Jan 24 13:19:10 2018 +0100

    Print cause of a failed open(..) call
    
    This is quite helpful for debugging.
    
    Signed-off-by: Christian Gmeiner <christian.gmeiner@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 192fdb06905f0f190e3a0e258919676934e6633c
Author: Andrey Zabolotnyi <zapparello@ya.ru>
Date:   Mon Jan 15 01:32:42 2018 +0300

    Fix handling of devices with only buttons (e.g. tablet pads).
    
    When transforming 'only buttons' device into a pseudo-mouse by adding
    relative X and Y axes, EVDEV_RELATIVE_EVENTS flag  must be set on device,
    otherwise it gets classified as a keyboard by X11.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=104630
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8c1058f2ebd9355068fb1b67329f3428ca64775b
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 492191237405b3de4eb2df878639c146d61eddb9
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 67681097b8d1f485615d9e1dd4f81c64e9829d5c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 1dd61111adea1d137877ca1a9642e1552a152355
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 18 13:14:29 2017 +1000

    evdev 2.10.5
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 231061d004ee4e924bb736adc428287367d2001c
Author: Alexander Volkov <a.volkov@rusbitech.ru>
Date:   Mon Dec 26 17:39:32 2016 +0300

    Don't send pointer events in addition to touch events
    
    Updating abs_vals for touch events since d24431a1863c49aa9edcabf535ffa64bfa87053c
    leads to posting Motion events with updated coordinates to the X server,
    which in turn resends them to clients.
    
    Don't queue Motion events for touch events, the X server should
    synthesize them itself.
    
    Signed-off-by: Alexander Volkov <a.volkov@rusbitech.ru>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 425ed6017a42937f69c1e8450ea8f3c6c6c20928
Author: David Strobach <lalochcz@gmail.com>
Date:   Thu Nov 17 20:47:31 2016 +0100

    Middle emulation - make the emulated button number configurable
    
    Sometimes it may be desirable to remap physical middle button
    to something else and use emulation instead. The emulation is
    however hardcoded to emulate physical button 2, so the emulated
    button gets remapped together with the physical one. This patch
    adds the Emulate3Button configuration option to allow for user
    selection of the emulated button number and a configuration
    like this:
    
    Section "InputClass"
        Identifier "Middle button emulation config"
        MatchProduct ".... some device ..."
        MatchDriver "evdev"
        Option "Emulate3Buttons" "on"
        Option "Emulate3Button" "9"
    EndSection
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7251e42dfbac11eb1619b0a3881ee463b6d76c95
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 21 09:42:23 2016 +1000

    Fix off-by-one error counting axes
    
    We stopped counting one too early, but still initialized that axis later,
    leading to a bug macro to trigger.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97956
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 551db5b86e2a19e027e57571b8e5405dacb8bd67
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Oct 1 17:48:30 2016 +1000

    evdev 2.10.4
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bb8bde7456def4186f9a4a0a9f98d53c949e1450
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 31 17:52:43 2016 -0700

    Support XINPUT ABI 24 (remove select mask from block/wakeup handlers)
    
    The evdev driver wasn't using the select mask arguments, so this
    change just involves adjusting the argument lists.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7b1267f7f18c478d3dc34a7668eaefa402815891
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 31 17:52:42 2016 -0700

    Support XINPUT ABI version 23 (threaded input)
    
    Use input_lock/input_unlock calls instead of SIGIO functions
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e08b0332761b0cff6d6a3f5d7e88c22f786bd530
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 31 17:52:41 2016 -0700

    Report errors when attempting to write keyboard controls
    
    This is mostly to eliminate a compiler warning.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7c1971d9e7b73b861874633a33f97487abf1d45d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 1 11:41:03 2016 +1000

    evdev 2.10.3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9a6952dafe7241d4987eedd4637e5a9785d7ec23
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 12 15:22:19 2016 +1000

    Restore non-xy axes updates
    
    This broke in d24431a1863c49aa Restore wheel emulation for absolute devices,
    last hunk when the valuator update was moved to before any early exit
    condition. But that new update only applies to valuator maps < 2, i.e. x/y
    only. Other valuators are now ignored and remain on 0 forever.
    
    Restore the valuator update.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95315
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f12eca9f8392934031cb250e7a2a5ed1d5ca11cf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 29 09:13:35 2016 +1000

    evdev 2.10.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 33dc3d7128456d51b1fe6228096e6b714a3e900b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 27 09:01:16 2016 +1000

    Prevent buffer overrun accessing btn_labels
    
    We go up to BTN_JOYSTICK, hence group can have a value of up to including 15.
    The actual btn_labels only has 6 elements though.
    
    Found by coverity.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7b0a65d989117d1b071101221ff1b97c1b4d1946
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 15 14:01:02 2016 +1000

    Don't reset the other axis on wheel emulation scroll buildup
    
    The idea was that of a direction lock: as we move vertically we should not
    build up any horizontal scroll motion even if we move slightly diagonally.
    
    The effect was though that the axis would be reset completely as soon as an
    event from the other axis occured. With the default threshold of 10, if one in
    ten events was a REL_X, we'd never get a wheel event.
    
    Drop this code, it's not needed. By default wheel emulation doesn't do
    horizontal scrolling, if a config snippet sets XAxisMapping the user wants
    horizontal scrolling. And since we just add the value anyway, as long as the
    user does a roughly vertical motion we won't get over the threshold anyway.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=93617
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d24431a1863c49aa9edcabf535ffa64bfa87053c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 14 10:41:46 2016 +1000

    Restore wheel emulation for absolute devices
    
    Wheel emulation relies on oldVals, which stopped updating in 3dcf6f123c5.
    
    Since wheel emulation may filter the abs event, store the event before we do
    anything with it. If we really want the abs_event, abs_queued will be set to
    1, otherwise the value will be ignored.
    
    And now that we know abs_value is always valied, we can copy its value into
    old_vals, so that wheel emulation can calculate the delta correctly.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=93617
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ce7d8fdebc0123227be91ba5d89126a36f089ff5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 14 11:18:56 2016 +1000

    man: add a warning that wheel emu inertia must be set and it isn't inertia
    
    First, it's not actually inertia, it's simply the scroll distance, yay for the
    misnomer.
    
    And it needs to be set for any device that is more fine-grained than a
    mouse, especially absolute devices. For example the VirtualBox device has an
    abs max of 32767, so a simple motion may have a delta of to 2000 units and
    that results in 200 scroll events. That's a bit excessive.
    
    Related to: https://bugs.freedesktop.org/show_bug.cgi?id=93617
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6a3beab6137b262fc847093ed5fa51ff70df6a21
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 8 15:11:59 2016 +1000

    evdev 2.10.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d7e61a7074b802b49f57549530b289bbaa0a4855
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 10 14:35:51 2015 +1000

    Only map x and y to axes 0 and 1
    
    The Logitech G600 has one device with all axes north of ABS_MISC. The current
    code assigns ABS_MISC as first axis to map to axis 0, i.e. x. On button press,
    one node sends the BTN_LEFT but the other node sends an ABS_MISC with a 1 0
    value. ABS_MISC is mapped to axis 0, this moves the pointer to (0, y) on
    every button click.
    
    Avoid this by simply mapping any axis other than x/y to at least axis 3, and
    make sure we only override the MT 0/1 axes when we actually have MT axes.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=92856
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 01e7ac48546d4534fa420ea1873214e738ea125d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 28 14:28:20 2015 +1000

    evdev 2.10.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 034be31159f22ce28d84994d541a45ee44963fd8
Author: Thomas Hindoe Paaboel Andersen <phomes@gmail.com>
Date:   Tue Jan 20 00:44:40 2015 +0100

    Add "Resolution" option for mice to the evdev driver
    
    It can be used to scale the resolution of a mouse to that of a 1000 DPI
    mouse. This can be useful to make high resolution mice less sensitive
    without turning off acceleration. The target of 1000 DPI is used as the
    same default is used in libinput. If the option is not set no scaling
    will be done.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=88134
    Signed-off-by: Thomas Hindoe Paaboel Andersen <phomes@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 66c997886424a20e92ce30fcfda46cbb5c7352ab
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 5 15:34:07 2015 +1000

    Add the default evdev config
    
    This used to be part of the server but now that we have two drivers doing the
    same thing (libinput, evdev) shift the configuration defaults to the driver.
    This way you get what you install.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89023
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 0d3494eadfde7e8d30e1bae97cfa6b36e5128a11
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 27 11:41:50 2015 +1000

    Bump to 2.9.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 56a5e6716204916691a67082e3e6a1698df2061b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 16 07:55:34 2015 +1000

    Unconditionally require mtdev
    
    Missing from 2c9f4f0380d
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 74433f788acf41a43da54269eb1b73c407f3ceba
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 13 11:05:03 2015 +1000

    Always check for a return value on creating a property
    
    Mostly to make static analyzers happy
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fdc33809de2751c164183df2310a71732be579f3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 13 10:58:01 2015 +1000

    Invert a condition to reduce nesting
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 38e107a39fb4a0b630ee5adb5870c91dbc27abde
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 11 14:58:04 2015 +1000

    Disable axis faking and MT event processing on fake MT devices
    
    This effectively disables all axes >= ABS_MT_SLOT on those devices. But at
    least the device comes up without an error and it didn't work correctly
    beforehand anyway.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89473
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit b6176cff5a3fbccc3708721958e9fb346518f57e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 11 13:44:28 2015 +1000

    Invert two conditions to reduce nesting
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 37afebfb67609f04f9c1cdea983e7006ee2d59e5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 11 13:47:32 2015 +1000

    Factor out MT axis counting into a separate function
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 5b5ae1786cb4b2ea35720bacf18f252223b2b2ec
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 11 13:29:19 2015 +1000

    Split android axis simulation into a helper function
    
    No functional changes
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 2c9f4f0380dd5bb5966a6eee34c8e0ec0c98ed17
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 11 13:22:19 2015 +1000

    Require multitouch/smooth scrolling dependencies
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 39ef4444a231d3b0296ba421b78f0417f18955f9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 13 08:12:38 2015 +1000

    Drop evdev-specific XKB defaults
    
    Just use the server defaults instead. This has very little effect, on most
    systems there was some sort of default configuration applied anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit abc4a8b60387c3c9ae8b0199bf61acede4f6dba2
Author: Tobias Himmer <provisorisch@online.de>
Date:   Fri Jan 23 02:13:17 2015 +0100

    Check for incoming MT slot indices exceeding the allocated number of slots.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=88715
    
    Signed-off-by: Tobias Himmer <provisorisch@online.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b370ccdff8f721de75d3d91486cc4807668d040c
Author: Colin B. Macdonald <macdonald@maths.ox.ac.uk>
Date:   Thu Jun 26 12:17:59 2014 +0100

    Workaround lack of ABS_X on MT devices (#80470)
    
    Often on Android, we have ABS_MT_POSITION_X without ABS_X (which is contrary
    to spec). We add fake ABS_X axis in that case.
    
    X.Org Bug 80470 <http://bugs.freedesktop.org/show_bug.cgi?id=80470>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 511498478b49aa39629615c110c9d0129fa6bbef
Author: Éric Brunet <Eric.Brunet@lps.ens.fr>
Date:   Tue Sep 30 23:04:55 2014 +0200

    Move EVDEV_RELATIVE_MODE logic earlier
    
    When in EVDEV_RELATIVE_MODE, after converting the absolute valuators, the
    code unsets pEvdev->abs_queued. This is wrong if there are some absolute
    valuators which are not positions, such as a pressure valuators, because
    events on these valuators would be lost.
    
    This patch fixes the problem by doing the absolute->relative translation
    early. This way, abs_queued is not set and then unset when receiving
    absolute valuators representing positions. Other absolute events now set abs_queued
    and will be processed.
    
    Signed-off-by: Éric Brunet <Eric.Brunet@lps.ens.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3dcf6f123c54fd3104bcb79677cd347972abea4c
Author: Éric Brunet <Eric.Brunet@lps.ens.fr>
Date:   Tue Sep 30 22:32:51 2014 +0200

    Don't update old_vals when not in EVDEV_RELATIVE_MODE
    
    When not in EVDEV_RELATIVE_MODE, absolute position is stored in old_vals. This serves
    no purpose except that old_vals is ready when the device is switched to
    EVDEV_RELATIVE_MODE. It is however better to make the copy between old_vals
    and abs_vals at the time of the switch rather than all the time.
    
    Signed-off-by: Éric Brunet <Eric.Brunet@lps.ens.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f59585b36709c8a529da6e08662ed6c62b73ebd5
Author: Éric Brunet <Eric.Brunet@lps.ens.fr>
Date:   Tue Sep 30 22:15:45 2014 +0200

    Change the logic concerning EVDEV_RELATIVE_MODE and in_proximity
    
    When not in_proximity, we don't really trust data, even though a valuator
    sent just before a in_proximity event might actually be important. The
    present code for EVDEV_RELATIVE_MODE throws away all data if not
    in_proximity, which is a little bit too much. This patch allows for
    relative values to be calculated and old_vals to be updated even if not
    in_proximity, but will prevent evdev to sending (presumably) wrong
    information to the X server. But at least, old_vals will be correctly
    filled when the device comes into proximity again.
    
    Signed-off-by: Éric Brunet <Eric.Brunet@lps.ens.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 593bbc6390aa6f9feec0e2b081e1bfe6ab03595a
Author: Éric Brunet <Eric.Brunet@lps.ens.fr>
Date:   Tue Sep 30 20:49:46 2014 +0200

    drop the pEvdev->delta array
    
    Now that relative events have their own valuator mask, use it instead of
    delta
    
    Signed-off-by: Éric Brunet <Eric.Brunet@lps.ens.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e0e2587a95afaeb25ad73bb8b27488e79d1fe02e
Author: Éric Brunet <Eric.Brunet@lps.ens.fr>
Date:   Tue Sep 30 14:27:20 2014 +0200

    Split pEvdev->vals into pEvdev->abs_vals and pEvdev->rel_vals
    
    This should hopefully fix bug 84445.
    
    Signed-off-by: Éric Brunet <Eric.Brunet@lps.ens.fr>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cb3b023783fe73d9bbb7c9c6ba6c73048b8303ef
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Nov 26 09:23:39 2014 +1000

    evdev 2.9.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 124eff9ba20c5ae777a6a5aa36f32112ad31b931
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 7 13:41:06 2014 +1000

    Remove three unused #defines
    
    Obsolete since 768c25a99b2f4ec07993eb15a0f05a5e22b5c695
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 605047613c534babf723f25597e8cc4be6758db0
Author: Éric Brunet <Eric.Brunet@lps.ens.fr>
Date:   Sat Sep 27 22:06:36 2014 +0200

    Don't pass superfluous arguments to EvdevPost*Events
    
    The functions EvdevPostProximityEvents, EvdevPostRelativeMotionEvents,
    EvdevPostAbsoluteMotionEvents and EvdevPostQueuedEvents are only called
    by EvdevProcessSyncEvent. These functions take as arguments an array of
    valuators which is set by EvdevProcessSyncEvent to contain ... nothing.
    This patch changes the prototype of the four functions, their definitions
    and the way they are called  to remove the useless array of valuators.
    
    Signed-off-by: Éric Brunet <Eric.Brunet@lps.ens.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3ee98d0b7f7c266b8c7954b7710f9724a9c9cddd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 29 13:14:56 2014 +1000

    Drop some unused #defines
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 977588d24a6bc511454c7bd616e8b24a8bc3f58e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 14 11:56:03 2014 +1000

    If only IgnoreRelativeAxes is set, init like a normal relative device
    
    In the current code, if only IgnoreRelativeAxes is set, the code would go on
    and force absolute axes to initialize even if the relative axes were
    successfully initialized.
    
    Evdev gives precedence to relative axes anyway, initializing absolute axes if
    the relative axes failed. Thus, if we explicitely want relative axes but leave
    the abs axes as-is, proceed as normal.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 291b60172d25446d2cabe61ed93e56db6570baa3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 14 10:48:52 2014 +1000

    Fix axis initialization for devices with abs x/y and rel scrollwheels
    
    The Xen Virtual Pointer device has ABS_X, ABS_Y and REL_WHEEL. If smooth
    scrolling is detected, the current code would first initialize relative axes
    for scrolling and immediately overwrite those axes when the abs valuators are
    written out.
    
    This patch fixes the default case only, in the case of a device setting the
    two Ignore*Axis options both to "off", the axes are still overwritten. The
    wheels will work, other axes only if the same number of abs axes exists. And
    it keeps the current memory leak too, but it's marked with a FIXME now.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8ce06c96e469139bb12065d80fe4abb6173e2855
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 5 15:59:17 2014 +1000

    Make the slot-state per slot
    
    The previous approach only had the slot state for the current slot. If we
    changed slots, that means we lost the information if the slot was ever
    initialized. If the ABS_MT_TRACKING_ID was never received, the slot would
    still update and try to send events (which the server refused with a warning).
    
    Avoid this by having a per-slot state and a dirty bit that tells us if the
    current slot updated at all. If we don't get the tracking ID, leave the slot
    empty and refuse any further events from that touch.
    
    This quashes the various "unable to find touch point 0" warnings caused if a
    touchpoint starts before the device is enabled.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Walter Harms <wharms@bfs.de>

commit 5d239ceb260cd554245e8f0dc3627990726ea9b9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 15 08:41:06 2014 +1000

    evdev 2.9.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 13dea90bc8ef2a2e6f55fb5ff5f54afe41d22f95
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 6 09:20:05 2014 +1000

    Use the server's device list for duplicate detection (#78309)
    
    EvdevAddDevice/EvdevRemoveDevice keep a reference to the device to detect
    duplicate devices based on the dev_t.
    
    EvdevAddDevices was called during PreInit, EvdevRemoveDevice was called during
    DEVICE_CLOSE. That makes it imbalanced if the device succeeds PreInit but the
    server skips everything else because MAX_DEVICES is exceeded. So for all
    devices after MAX_DEVICES, we'd add a reference but never remove it,
    eventually reading/writing past evdev_devices.
    
    The server keeps the list of devices for us anyway, so remove the copy of all
    the pointers and instead run through the device list the server gives us.
    
    X.Org Bug 78309 <http://bugs.freedesktop.org/show_bug.cgi?id=78309>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit b25d71616557b0f3fc5e1ca65ba9e62809d14139
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 29 10:20:42 2014 +1000

    evdev 2.8.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 41cf9212d02c1d2adca0e85702a1f0faba9e6b37
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 28 12:23:18 2014 +1000

    Map REL_DIAL to horizontal scrolling (#73105)
    
    This was the original behavior introduced in
    f77410e1f97d394e98c854fd174f712666b0544c and stayed that way until smooth
    scrolling erroneously added it as vertical axis in
    b450efdf95999cad08de23ce069f04a66bdae24b. Revert to horizontal scrolling to
    restore the previous behaviour - which unbreaks scrolling on Microsoft mice.
    
    This effectively reverts 54a3120e339e55fc4721543abb15692c3e9ede09 too.
    
    X.Org Bug 73105 <http://bugs.freedesktop.org/show_bug.cgi?id=73105>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 75368052b57aa07252e26642315bcf9a0b2e78eb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 29 09:50:21 2014 +1000

    Revert "Map REL_DIAL to horizontal scrolling (#73105)"
    
    Whoops, the vertical axis is swapped, so when changing the axis we also need
    to change the direction.
    
    This reverts commit 16c85cbeacb721ed365c6240aabaad921b811fe0.

commit 16c85cbeacb721ed365c6240aabaad921b811fe0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 28 12:23:18 2014 +1000

    Map REL_DIAL to horizontal scrolling (#73105)
    
    This was the original behavior introduced in
    f77410e1f97d394e98c854fd174f712666b0544c and stayed that way until smooth
    scrolling erroneously added it as vertical axis in
    b450efdf95999cad08de23ce069f04a66bdae24b. Revert to horizontal scrolling to
    restore the previous behaviour - which unbreaks scrolling on Microsoft mice.
    
    This effectively reverts 54a3120e339e55fc4721543abb15692c3e9ede09 too.
    
    X.Org Bug 73105 <http://bugs.freedesktop.org/show_bug.cgi?id=73105>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit ae67f64f02434171e1828b00fbf4277c8166966e
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Sat Mar 8 10:28:00 2014 +0100

    evdev: Add support for server managed fds
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f6fcad8b107e834e26fb3da2c89e05294ff0a74c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 26 14:56:07 2013 +1000

    Fix wheel emulation for absolute device (#68415)
    
    wheel emulation, for some reasons beyond time, got the value from
    pEvdev->vals, then set the value back into pEvdev->vals. Alas, that value is
    always 0, hence oldValue is zero and the delta is nil.
    
    If we're not in relative (touchpad) mode, store the current value in
    old_vals, so they're retrievable for the next event.
    
    X.Org Bug 68415 <http://bugs.freedesktop.org/show_bug.cgi?id=68415>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d171b3d9194581cb6ed59dbe45d6cbf009dc0eaa
Author: Peter De Wachter <pdewacht@gmail.com>
Date:   Wed Oct 3 22:08:12 2012 +0200

    Export smooth scroll settings as an XInput property.
    
    A new property "Evdev Scrolling Distance" is created that holds three values
    (vertical, horizontal and dial).
    
    Signed-off-by: Peter De Wachter <pdewacht@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c3251deb4b988610c3766081345e49f538fca865
Author: Peter De Wachter <pdewacht@gmail.com>
Date:   Wed Oct 3 20:48:24 2012 +0200

    Add configuration options for smooth scrolling.
    
    This patch creates three new xorg.conf options, VertScrollDelta,
    HorizScrollDelta and DialDelta, which adjust the sensitivity of
